---
editUrl: false
next: false
prev: false
title: "makeDependencies"
---

> **makeDependencies**\<`T`\>(`conf`): `Promise`\<\<`V`\>(...`keys`) => `IntoDependencies`\<`V`\>\>

## Type parameters

• **T** *extends* `Dependencies`

## Parameters

• **conf**: `ValidDependencyConfig`

## Returns

`Promise`\<\<`V`\>(...`keys`) => `IntoDependencies`\<`V`\>\>

## Source

[src/core/ioc/base.ts:144](https://github.com/sern-handler/handler/blob/04c4625bfa2f746935f4a8cee62b77cdffd86684/src/core/ioc/base.ts#L144)
